import 'dart:io';
import 'package:convert/convert.dart';
import 'package:crypto/crypto.dart';

Future<String> calculateMD5Filename(String filePath) async
{
  var file = new File(filePath);
  return calculateMD5File(file);
}

Future<String> calculateMD5File(File file) async
{
  String ret = "";
  if (await file.exists()) {
    try {
      var hash = await md5
          .bind(file.openRead())
          .first;
      ret = hex.encode(hash.bytes);
    }
    catch (exception) {
//      logger.severe("Unable to evaluate the MD5 sum :", exception);
      return null;
    }
  }
  else {
//    logger.warning("'" + filePath + "' doesn't exits so unable to evaluate its MD5 sum.");
    return null;
  }
  return ret;
}
